User-right notifications - provide log access
Closed, ResolvedPublic

Description

In the 'user-right' notifications, I suggest one or both of:

1. Add a secondary link to the log-entry
This will allow users to read the full message if it is truncated, and to access any links that appear within it.

The link would be something like: http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special%3ALog&type=rights&user=Etonkovidova&page=User%3AET59 (If I am User:ET59)
Labelled as something like: Learn more, or Log (translations), or User rights log (translations - much longer)


2. Remove truncation
The "reason" is limited to 256 bytes, plus is unlikely to ever be excessively verbose, but might include links. (I tested. It's 256 bytes, not characters)
This would also help if any links are contained after the truncation-point (which users may not realize they should look for). E.g. I might write (with ^ as truncation point)
Here are some new user-rights! You can find more details about this in th^e page [[long page title]]


Note A: We currently include clickable links in the excerpt. I think that's good. But if they are planned (?) to be removed, solution #1 would be even more necessary.

Note B: See examples of userrights logs at https://en.wikipedia.org/w/index.php?title=Special%3ALog&type=rights and https://de.wikipedia.org/w/index.php?title=Special%3ALog&type=rights - most are very short, or even empty, but sometimes they are long, and they often include links.


(Follow-up to T126277: 'user-right' notifications: show 'reason' in body

Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a project: Notifications.
Quiddity added a subscriber: Quiddity.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Thanks for the suggestions Nick. I spoke to Roan and we are good with the following, if it works for you:

  • Yes, let's include a secondary link to the log sorted to both the person who changed the rights and the person whose rights were changed. That way the user will see the whole reason.
  • However, instead of calling this "Log," how about we label it something like "Learn more"

If that works for you, I'll update the spreadsheet. Anyone else?

Quiddity updated the task description. (Show Details)Feb 18 2016, 6:31 PM
Quiddity set Security to None.

If that works for you, I'll update the spreadsheet. Anyone else?

That works for me.

DECISION: we will include a secondary link as follows:

  • Label = Learn more
  • Links to: the log sorted to both the person who changed the rights and the person whose rights were changed.

I've updated the Notifications spreadsheet.

jmatazzoni renamed this task from User-right notifications - truncation and log access to User-right notifications - provide log access.

'Learn more' is already the label for the primary action (visible on Special:Notifications and email). Can we think of another label for the Log link (or the primary action)?

Change 272997 had a related patch set uploaded (by Sbisson):
[WIP] Add 'Log' link to user-rights notification

https://gerrit.wikimedia.org/r/272997

'Learn more' is already the label for the primary action

Arghhh. Sorry. Thanks Stephane. In that case, I can't think of anything particularly illuminating. I talked to James F., who suggests "Public log". Let's go with that. I've changed the spreadsheet accordingly.

Change 272997 merged by jenkins-bot:
Add 'Log' link to user-rights notification

https://gerrit.wikimedia.org/r/272997

DannyH removed a subscriber: DannyH.Feb 24 2016, 8:53 PM

Checked in betalabs - looks according to specs.

If I include into Reason the phrase that @SBisson suggested: Here are some new user-rights! You can find more details about this in th^e page [[long page title]] - then it looks as the screenshot below. It gets truncated at the ^ sign

With the link in the Reason message - the link is clickable:

With the link in the Reason message - the link is clickable:

This is a mistake. It won't be a link anymore once T128062 is merged.

I noted the need to kill the link in T128062, and we'll test it there. Thanks Stephane. With that, closing this ticket.

jmatazzoni closed this task as Resolved.Feb 25 2016, 10:34 PM
jmatazzoni added a subscriber: SBisson.